/*********************************************************************************/
/* Name: mic_measure.c															 */
/*	    																		 */
/* Author: Michael Huber													     */
/*																				 */
/* Verwendungszeck: stellt die Grenztemp. zu Verfgung, berrechnet Max- und      */
/*                  Mittelwert der Temp, vergeleicht die Tempwerte mit den		 */
/*					Grenzwerten															 */
/*********************************************************************************/
#include "main.h"

/*Globale Variablen************************************************/
unsigned int brkp1=4000; //Grenztemperatur 1 _> Breakpoint 1
unsigned int brkp2=4500; //Grenztemperatur 2 -> Breakpoint 2

unsigned int temp_mid=0; //Temp Durchschnitt
unsigned int temp_max=0; //maximal Temp = groesste bisher aufgetretene Durchschnitts Temp
/******************************************************************/

void measure(void)
{
  	rd_temp(); //temperatur wird ausgelesen und in temp_1 - temp_3 gespeichert
  	temp_mid = (temp_1 + temp_2 + temp_3) / 3; //Berechnung der durchschnitlichen Temp
  	if (temp_mid>temp_max) temp_max=temp_mid; 
  
  	//Vergleich ob Temperatur des 1. Sensors grer als ein Breakpoint ist
	if (temp_1>=brkp1)
  	{ 
    	if (temp_1>=brkp2) brkp2_relais(1);
    	else brkp1_relais(1);
  	}

  	//Vergleich ob Temperatur des 2. Sensors grer als ein Breakpoint ist
	if (temp_2>=brkp1)
  	{ 
    	if (temp_2>=brkp2) brkp2_relais(2);
    	else brkp1_relais(2);
  	}

  	//Vergleich ob Temperatur des 3. Sensors grer als ein Breakpoint ist
	if (temp_3>=brkp1)
  	{ 
    	if (temp_3>=brkp2) brkp2_relais(3);
    	else brkp1_relais(3);
  	}
}






